> For the complete documentation index, see [llms.txt](https://developer.perculus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.perculus.com/services/user-management/user-filer.md).

# Filtering Users

{% hint style="danger" %}
**Important Note!**\
\
Constructor Groups’ V1 API has been retired and is no longer available to new customers. Please use the Groups V2 API going forward.\
\
Link to V2 API documentation: <https://developer.perculus.com/v2-en>
{% endhint %}

Available parameters:

<table><thead><tr><th width="337">Parameter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td>string</td><td>Name of the user</td></tr><tr><td>surname</td><td>string</td><td>Surname of the user</td></tr><tr><td>email</td><td>string</td><td>Email of the user</td></tr><tr><td>username</td><td>string</td><td>Username of the user</td></tr><tr><td>user_id</td><td>string</td><td>GUID of the user</td></tr><tr><td>role</td><td>string</td><td>Role of the user (<a href="/pages/s7xHSgEOsXGduC8JhoWN">see</a>)</td></tr><tr><td>mobile</td><td>string</td><td>Mobile of the user</td></tr><tr><td>page_size</td><td>integer</td><td>Page size</td></tr><tr><td>page_number</td><td>integer</td><td>Page number</td></tr></tbody></table>

{% hint style="info" %}
If you like to see all users belonging to your account, you can achieve this by not sending any parameters to the request.
{% endhint %}

**Example request:**

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location --request GET 'https://<DOMAIN>/xapi/user' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: x-www-form-urlencoded' \
--data-urlencode 'name=john' \
--data-urlencode 'username=doe'
```

{% endtab %}

{% tab title="Python" %}

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()
...

# Search user 
user = client.users.search_user({
    "name": "<USER_NAME>",
    "surname": "<USER_SURNAME>"
})
print(user)
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
import APIClient from "perculus-sdk"

// API client
const client = new APIClient()
...

// Search users 
const users = client.users.searchUsers({
    name: "<USER_NAME>",
    surname: "<USER_SURNAME>"
})
console.log(users)
```

{% endtab %}

{% tab title="Go" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}

Example response:

```json
[
    {
        "user_id": "<USER_ID>",
        "name": "john",
        "surname": "Doe",
        "username": "johndoe",
        "email": "john@doe.com",
        "role": "u",
        "mobile": "",
        "login_allowed": true,
        "status": 1,
        "lang": "tr-TR",
        "timezone": null,
        "expires_at": null,
        "creation_date": "2024-08-01T00:45:03.8888474+00:00",
        "updating_date": null
    }
]
```
